package cz.moneta.test.dsl.greenscreen;

import cz.moneta.test.harness.context.StoreAccessor;
import cz.moneta.test.harness.endpoints.greenscreen.GreenScreenEndpoint;
import cz.moneta.test.harness.support.greenscreen.Builders;

public class GreenScreen {
    private final StoreAccessor harness;

    public GreenScreen(StoreAccessor harness) {
        this.harness = harness;
    }

    public WELCOME_WelcomeScreen logIn() {
        GreenScreenEndpoint endpoint = harness.getEndpoint(GreenScreenEndpoint.class);
        endpoint.connect();
        return Builders.newGreenScreenFlowBuilder(WELCOME_WelcomeScreen.class, endpoint, harness);
    }
}
